;; This is an attempt at responding to a notice.
;; According to the IRC protocol, it should not be possible
;; to do that. sula should complain.

;; When we receive a notice from anybody server, send
;; a different reply depending on whether the sender is being ignored
;; or not.
   
(gs-on "#privnotice" 1110 "*" (lambda(m w)
  (define from (gs-next-string m 2))
  (define sender (separate-fields-discarding-char #\! from vector)) ;; #(nick user@host.dom)
  (if(gs-ignored? from 'notices)
    (gs-exec (string-append "notice " (vector-ref sender 0)
      " I am ignoring you") w)
    (gs-exec (string-append "notice " (vector-ref sender 0)
      " Notice received") w))))
 
