;; this scripts resets your idle time every <idle-time> seconds.
;; use (set! idle-time <seconds>) to set maximum idle time.
;; use (set! no-idling #f) and  (set! no-idling #t) to turn
;; anti-idling off and on,respectively.
;; We also ignore away messages originating from us.

(define idle-time 60)
(define no-idling #t)

(gs-preempt "RAW_IRC" (string-append "* * PRIVMSG * :" *sula-random-string*)
    (lambda(foo bar) #t))  ;; message should be from us;let client ignore it.

;;is this from you?
(gs-preempt "RAW_IRC" "* * 301 *" (lambda(m w) ;; 
   (if(string-ci=? (gs-next-string m 4) (gs-next-string m 5)) #t #f)))
    
(gs-delete-alarm 555)     
(gs-alarm 0 (lambda(crap junk)
  (define (anti-idle alarm-id) 
    (gs-alarm 'ref alarm-id idle-time (lambda(refnum at)
       (if(not no-idling) #f      
          (let
             ((socket-list (servers-socket-fd))) 
             (if(not(null? socket-list)) ;; ((fd0 . your-nick0)(fd1 . your-nick1)..) 
	        (for-each
		   (lambda(i)
	             (gs-raw-write (car i) (string-append "PRIVMSG " (cdr i) " :"
	                                  *sula-random-string* "\n")))
	           socket-list))))
       (anti-idle refnum))))
  (anti-idle 555)))

 
