;; preemptive test
;; If a preemptive hook returns a non #f value,  the sula client will
;; not process the message any further. 

;; Let all messages to channel #test be sent here. If you're marked
;; away, screw up the message. Otherwise, return #f so that sula can
;; parse the message.

(gs-preempt "RAW_IRC" "* * PRIVMSG #test *" (lambda(m w)  
  (define server (gs-window-server w))
  (if(server:away? server)
       (gs-echo (string-append "@i@C6" (gs-next-string m 2) " speaks on "
               (gs-next-string m 4) ":\n@C6\t"
              (substring m (+ 1 (string-index m #\:)) (string-length m))) w))
    #f))
